Bug 237311 - Review Request: ArgoUML - UML Modelling Tool - FOSS Java App
Review Request: ArgoUML - UML Modelling Tool - FOSS Java App
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 15:00 EDT by Keith Roberts
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-23 07:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Roberts 2007-04-20 15:00:09 EDT
Spec URL: http://argouml.tigris.org/

SRPM URL: it's a java package

Description: An Open Source UML Modeling Tool

ArgoUML Features

ArgoUML provides the following features. Each feature is described briefly below.

    * All 9 UML 1.4 Diagrams supported
    * Platform Independent: Java 1.4+
    * Click and Go! with Java Web Start
    * Standard UML 1.4 Metamodel
    * XMI Support
    * Export Diagrams as GIF, PNG, PS, EPS, PGML and SVG
    * Available in ten languages - EN, EN-GB, DE, ES, IT, RU, FR, NB, PT, ZH
    * Advanced diagram editing and Zoom
    * OCL Support
    * Forward Engineering
    * Reverse Engineering / Jar/class file Import
    * Cognitive Support
          o Reflection-in-action
                + Design Critics
                + Corrective Automations (partially implemented)
                + "To Do" List
                + User model (partially implemented)
          o Opportunistic Design
                + "To Do" List
                + Checklists
          o Comprehension and Problem Solving
                + Explorer Perspectives
                + Multiple, Overlapping Views

Install with Java Web Start

The ArgoUML website provides easy installation with Java Web Start.
Runs on any platform with Java1.4 or Java5

ArgoUML is written entirely in Java and uses the Java Foundation Classes. This allows ArgoUML to run on virtually any platform.
Standard UML Metamodel

ArgoUML is compliant with the OMG Standard for UML 1.4. The core model repository is an implementation of the Java Metadata Interface (JMI) which directly supports MOF and uses the machine readable version of the UML 1.4 specification provided by the OMG.
UML Diagram Support

ArgoUML uses GEF, the UCI Graph Editing Framework to edit UML diagrams. The following diagram types are supported:

    * Class diagram
    * Statechart diagram
    * Activity diagram
    * Use Case diagram
    * Collaboration diagram
    * Deployment diagram (includes Object and Component diagram in one)
    * Sequence diagram

NB: I have downloaded and installed the Java application. It works very well, and is very intuitive to use. Please take a look at it. I cannot get the print function to work, to print out UML diagrams under FC6 KDE & CUPS.
Comment 1 Peter Lemenkov 2007-04-22 15:59:05 EDT
Looks like you forgot to provide links for your SPEC-file )
Comment 2 Keith Roberts 2007-04-22 16:12:21 EDT
Sorry Lemenkov - I think I must have posted this in the wrong place. This is
meant to be a request for Fedora to review the above package for inclusion in
the next version of Fedora. I don't think it is included in FC6 right now. It
seems alot more stable than Umbrello UML modeler is.
Comment 3 manuel wolfshant 2007-04-22 18:10:44 EDT
Keith, if you want to package this application yourself and submit it for
review, this is the right place but you have to provide URLs to the .spec and
.src.rpm files that you would like to submit for examination. Please see
http://fedoraproject.org/wiki/PackageMaintainers/Join and especially
http://fedoraproject.org/wiki/PackageMaintainers/Join#head-a7a95bc9083826b65ccdd4d0f201ea6e59426590

If you just want to suggest adding this package to Fedora, then please see
http://fedoraproject.org/wiki/PackageMaintainers/WishList. In this case please
close this bugzilla ticket ("resolve" it as "NOTABUG")
Comment 4 Keith Roberts 2007-04-23 07:24:54 EDT
Thanks wolfy. I will close this ticket and post to the wishlist.

Note You need to log in before you can comment on or make changes to this bug.